<?php

/**
 * @file
 * Rules integration for commerce_registration_defer.
 *
 * @addtogroup rules
 * @{
 */

/**
 * Implements hook_rules_event_info().
 */
function commerce_registration_defer_rules_event_info() {
  $events['commerce_registration_defer'] = array(
    'label' => t('When a commerce registration is deferred to another'),
    'group' => t('Commerce Registration'),
    'variables' => array(
      'original_registration' => array(
        'type' => 'registration',
        'label' => t('Original registration', array(), array('context' => 'commerce_registration_defer')),
      ),
      'new_registration' => array(
        'type' => 'registration',
        'label' => t('New registration', array(), array('context' => 'commerce_registration_defer')),
      ),
    ),
    'access callback' => 'commerce_registration_defer_rules_access',
  );

  return $events;
}

/**
 * @}
 */
